Shop Article Categories API
Bu içerik henüz dilinizde mevcut değil.
- List shop article categories
- Get a single shop article category
- Create a shop article category
- Update a shop article category
- Fields
List shop article categories
Заголовок раздела «List shop article categories»List all shop article categories for an account:
GET /shop_article_categoriesResponse
Заголовок раздела «Response»Status: 200 OK[ { "created_at": "2024-01-06T17:00:00-06:00", "id": 3, "name": "Computers", "source": null, "sourceID": null, "updated_at": "2024-01-06T17:00:00-06:00", "nodeID": "..." }, { "created_at": "2024-01-06T17:00:00-06:00", "id": 4, "name": "Desktops", "source": null, "sourceID": null, "updated_at": "2024-01-06T17:00:00-06:00", "nodeID": "..." }, "..."]The response contains these fields by default. Filtering and pagination are available to reduce/limit the collection of shop article categories.
Predefined Filters
Заголовок раздела «Predefined Filters»The following predefined filters are available:
/shop_article_categories/directory: List all shop article categories registered in the directory account of the support domain account from which the data is requested/shop_article_categories/support_domain: List all shop article categories registered in the account from which the data is requested
Collection Fields
Заголовок раздела «Collection Fields»By default the following fields will appear in collections of shop article categories:
id
sourceID
name
created_at
updated_at
Obtain a different set of fields using the ?fields= parameter .
Filtering
Заголовок раздела «Filtering»Filtering is available for the following fields :
id
source
sourceID
name
created_at
updated_at
Sorting
Заголовок раздела «Sorting»By default a collection of shop article categories is sorted
ascending
by
created_at
.
The following fields are accepted by the ?sort= parameter :
id
source
sourceID
name
created_at
updated_at
Get a single shop article category
Заголовок раздела «Get a single shop article category»GET /shop_article_categories/:idResponse
Заголовок раздела «Response»Status: 200 OK{ "attachments": [], "created_at": "2024-01-06T17:00:00-06:00", "full_description": "This category contains every computer imaginable provided by Widget Data Center. This is your one-stop shop for every device required to make your day productive.", "id": 3, "name": "Computers", "picture_uri": "https://R-Service-demo-assets.s3-accelerate.dualstack.amazonaws.com/avatars/shop_article_categories/original/computers.svg", "short_description": "All computers provided by Widget Data Center.", "source": null, "sourceID": null, "updated_at": "2024-01-06T17:00:00-06:00", "localized_full_description": "This category contains every computer imaginable provided by Widget Data Center. This is your one-stop shop for every device required to make your day productive.", "localized_name": "Computers", "localized_short_description": "All computers provided by Widget Data Center.", "nodeID": "..."}The response contains these fields .
Create a shop article category
Заголовок раздела «Create a shop article category»POST /shop_article_categoriesWhen creating a new shop article category these fields are available.
Response
Заголовок раздела «Response»Status: 201 Created{ "created_at": "...", "...": "..."}The response contains all fields of the created shop article category and is similar to the response in Get a single shop article category
Update a shop article category
Заголовок раздела «Update a shop article category»PATCH /shop_article_categories/:idWhen updating a shop article category these fields are available.
Response
Заголовок раздела «Response»Status: 200 OK{ "created_at": "...", "...": "..."}The response contains all fields of the updated shop article category and is similar to the response in Get a single shop article category
created_at
Readonly datetime — The date and time at which the shop article category was created.
full_description
Optional text (max 64KB) — The Full description field is used to enter a description of the shop article category.
id
Readonly integer — The unique ID of the shop article category.
name
Required string (max 128) — The Name field is used to enter the name of the shop article category.
picture_uri
Optional string — The hyperlink to the image file for the shop article category.
short_description
Optional string (max 200) — The Short description field is used to enter the a plain text short description to promote the shop article category.
source
Optional string (max 30) - See source
sourceID
Optional string (max 128) - See source
updated_at
Readonly
datetime
— The date and time of the last update of the shop article category. If the shop article category has no updates it contains the
created_at
value.